Type to search.

Get costs overview for the organization. Currently unavailable in self-hosted ECE.

Base URL
https://api.elastic-cloud.com/api/v1
No auth Deprecated

Retrieves an overview of the costs by organization ID.

Path parameters

organization_id string required

Identifier for the organization

Query parameters

from string

A datetime for the beginning of the desired range for which to fetch costs. Defaults to start of current month.

to string

A datetime for the end of the desired range for which to fetch costs. Defaults to the current date.

Responses

Top-level cost overview for the organization

application/json
costs object required

Costs overview for an organization. All of the costs, credits, trials are expressed in Elastic Consumption Unit (ECU).

total number · format: double required

Total costs

dimensions object[] required

A collection of billing details by dimension.

type enum required

The type of the billing dimension

Values: capacity data_in data_internode data_out storage_api storage_bytes
cost number · format: double required

The cost of the billing dimension

trials number · format: double required

Trial costs for the organization

hourly_rate number · format: double required

Hourly rate applied.